
<!DOCTYPE html>
<html lang="ja">
  <head>
    <meta charset="utf-8">
    <title>ユーザ一覧画面</title>
<link rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
    
<body>
<div class="bg-warning">
  <ul class="nav navbar-nav navbar-right">
     <li class="navbar-text">${userInfo.name} さん </li>
       <li class="dropdown">
           <u><a href="LogoutServlet" class="navbar-link logout-link">ログアウト</a></u>
       </li>
  </ul>   
</div>
  
 
    
    
    
    
<form>
<div class="container">
  <div class="row justify-content-center">
      <div class="col-auto">
        <h1>ユーザ一覧</h1>
      </div></div>
     <br>
 <u><p class="text-right ">
   <a href="userCreate.html">新規登録</a>
     <br><br>
 </p></u>

    <div class="row justify-content-center">
     <label for="colFormLabel" class="col-sm-2 col-form-label col-form-label">ログインID</label>
       <div class="col-6">
        <input type="email" class="form-control form-control" id="colFormLabel" placeholder="ログインID">
       </div>
   </div>
    
 <div class="row justify-content-center">
  <label for="colFormLabel" class="col-sm-2 col-form-label col-form-label">ユーザ名</label>
    <div class="col-6">
      <input type="email" class="form-control form-control" id="colFormLabel" placeholder="ユーザー名">
    </div>
</div>
    
     <div class="row justify-content-center">
        <label for="date" class="col-sm-2 col-form-label　col-form-label">生年月日</label>
            <div class="form-inline col-6">
                <input type="date" name="calendar" max="9999-12-31">
                    <pre> 〜 </pre>
                <input type="date" name="calendar" max="9999-12-31">
            </div>
    </div>
      <br>
      
        
   
      <div class="row">
          <div class="col-md-3 offset-md-2"></div>
     <button type="submit" value="検索" class="btn btn-primary form-submit">検索</button>
     </div>
        <br><br>
</div>
</form>
    
 <div class="table-responsive">
             <table class="table table-striped">
   <theat>
    <thead>
        <tr>
         <th>ログインID</th>
         <th>ユーザ名</th>
         <th>生年月日</th> 
        </tr>
    </thead>
   <tbody>
       <c:forEach var="user" items="${userList}" >
                   <tr>
                     <td>${user.loginId}</td>
                     <td>${user.name}</td>
                     <td>${user.birthDate}</td>
                     <!-- TODO 未実装；ログインボタンの表示制御を行う -->
                     <td>
                       <a class="btn btn-primary" href="UserDetailServlet?id=${user.id}">詳細</a>
                       <a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a>
                       <a class="btn btn-danger" href ="UserDeleteServlet?id=${user.id}">削除</a>
                     </td>
                   </tr>
        </c:forEach>
    </tbody>


    
    